Download it now!
Bug 134472 - EDITING Spacing after value in header: changed default behavior
Summary: EDITING Spacing after value in header: changed default behavior
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (allotropia)
URL:
Whiteboard: target:7.1.0 target:6.4.6 target:7.0.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Paragraph-Spacing
  Show dependency treegraph
 
Reported: 2020-07-03 11:15 UTC by NISZ LibreOffice Team
Modified: 2020-07-08 14:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Writer 6.3 (13.09 KB, application/vnd.oasis.opendocument.text)
2020-07-03 11:15 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Writer 6.3 and 7.1master (135.63 KB, image/png)
2020-07-03 11:16 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-07-03 11:15:43 UTC
Created attachment 162605 [details]
Example file from Writer 6.3

In bug #128195 the behavior of “spacing after” paragraph was changed in the editor: now by default the “spacing after” value is applied in the editor and for all kinds of files, which makes for better interoperability with Word, but a – supposedly - unintentional change for older odt files.


Steps to reproduce:
    1. Add two paragraphs of text to a new documents header using Writer 6.4
    2. Set some Spacing after for them
    3. Add some text to the document body
    4. Save as odt, open in Writer master

Actual results:
In 6.4 the spacing after value was not applied to the second paragraph, now it is.

Expected results:
Spacing after value is applied to the last header paragraph only in Word-made docx files.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 7dc3a20cab712ee987ea25a8f5728529521485b7
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL

Bibisected using bibisect-win64-7.1 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=9b5805d1ef2b9e9c4e8f389c069807bf4489ea95 
author	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2020-05-20 08:41:46 +0200
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2020-06-15 14:42:59 +0200

tdf#128195 Keep spacing below last paragraph in header (docx)

Adding CC to: Samuel Mehrbrodt
Comment 1 NISZ LibreOffice Team 2020-07-03 11:16:01 UTC
Created attachment 162606 [details]
Screenshot of the problem in Writer 6.3 and 7.1master
Comment 2 Commit Notification 2020-07-07 05:51:00 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/70f9c3b8f03fb28215985a5b899bd8fae9cb3ac3

tdf#134472 Only add spacing in header when flag is set

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-07-07 12:11:20 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/c68fc819f78312c17ef6c4aee20a3759a2b10280

tdf#134472 Only add spacing in header when flag is set

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-07-07 12:11:39 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/4d9f1afa79b1446a9cab805de42bd7a8851a006a

tdf#134472 Only add spacing in header when flag is set

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-07-08 14:43:07 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 0695b5f5b328a1bc9cfdc8ba020dbdd674185e04
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Samuel, thanks for fixing this issue!!